petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCPARMSSetFill

Sets the fill-in parameters for ILUT, ILUK and ARMS preconditioners. Consider the original matrix A = [B F; E C] and the approximate version M = [LB 0; E/UB I]*[UB LB\F; 0 S].

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetFill(PC pc,PetscInt lfil0,PetscInt lfil1,PetscInt lfil2)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| fil0 | - the level of fill-in kept in LB, UB, E/UB and LB\F
| fil1 | - the level of fill-in kept in S
| fil2 | - the level of fill-in kept in the L and U parts of the LU factorization of S

### Options Database Keys

| -pc_parms_lfil_ilu_arms | - set the amount of fill-in for ilut, iluk and arms
| -pc_parms_lfil_schur | - set the amount of fill-in for schur
| -pc_parms_lfil_ilut_L_U | - set the amount of fill-in for ILUT L and U

### Notes

See the pARMS function parms_PCSetFill for more information.

### See Also

PCPARMS

### Level

intermediate

### Location

src/ksp/pc/impls/parms/parms.c

### Implementations

PCPARMSSetFill_PARMS in src/ksp/pc/impls/parms/parms.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages